#include "stdafx.h"
#include <stdio.h>
#include <stdarg.h>
#include "error.h"

void Error(const char *p_pFormat, ...)
{
	va_list arglist;

#ifndef _WINDOWS_
	va_start(arglist, p_pFormat);
	vprintf(p_pFormat, arglist);
	va_end(arglist);
#else
	static char	pMystring[256];

	va_start(arglist, p_pFormat);
	vsprintf(pMystring, p_pFormat, arglist);
	va_end(arglist);

	MessageBox(NULL, pMystring, "Error", MB_ICONSTOP|MB_OK);
#endif
}

void Debug(const char *p_pFormat, ...)
{
#if DEBUG
	va_list arglist;

#ifndef _WINDOWS_
	va_start(arglist, p_pFormat);
	vprintf(p_pFormat, arglist);
	va_end(arglist);
#else
	static char	pMystring[256];

	va_start(arglist, p_pFormat);
	vsprintf(pMystring, p_pFormat, arglist);
	va_end(arglist);

	MessageBox(NULL, pMystring, "Debug", MB_ICONSTOP|MB_OK);
#endif
#endif
}
